import { createGlobalState,useLocalStorage } from '@vueuse/core'
export const codeAuthStore = createGlobalState(() => {
    const codeToken=useLocalStorage('codeToken','')
    const RefreshToken=useLocalStorage('RefreshToken','')
    const userInfo=useLocalStorage('userInfo',{})
    const fingerprint=useLocalStorage('fingerprint','')
    const formData=useLocalStorage('formData',{
        "countryCode": "",
        "phone": "", //手机号
        "userName": "", //用户名 （第一次传）
        "gender": 1, //性别 1男  2女 3未知 （第一次传）
        "birthday": "", //生日 （第一次传）
        "address": "", //家庭住址 （第一次传）
        "bankName": "", //银行名字（第一次传）
        "bankNo": "", //银行卡号（第一次传）
        "cardId": "",
        cardType:1
    })
    const lotNo=useLocalStorage('lotNo',undefined)
    const price=useLocalStorage('price',undefined)
    const auctionArtworkUuid=useLocalStorage('auctionArtworkUuid',undefined)
    const number=useLocalStorage('number',undefined)
    const qrUid=useLocalStorage('qrUid',undefined)
    const cpayment=useLocalStorage('cpayment',{
        price:'',
        currency:''
    })
    const qrData=useLocalStorage('qrData',{})
    const codePKey=useLocalStorage('codePKey','')
    const codePayUid=useLocalStorage('codePayUid','')
    return{
        codePKey,
        codePayUid,
        qrData,
        qrUid,
        cpayment,
        lotNo,
        price,
        auctionArtworkUuid,
        number,
        formData,
        userInfo,
        RefreshToken,
        codeToken,
        fingerprint
    }
})